## kstars 4.11.2

=== debian/control ===
Source: kstars
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
 Maximiliano Curia <maxy@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 dpkg-dev (>= 1.15.5), kdelibs5-dev (>= 4:4.11.2),
 libeigen2-dev (>> 2.0.3), zlib1g-dev, libcfitsio3-dev (>= 3.040),
 libglu1-mesa-dev [!armhf], libnova-dev, libqt4-opengl-dev [!armhf], pkg-config, xplanet,
 libindi-dev [linux-any], wcslib-dev
Standards-Version: 3.9.3
Homepage: http://edu.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kstars
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kstars
X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kstars.git
X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/kstars.git

Package: kstars
Architecture: any
Section: science
Depends: ${shlibs:Depends}, ${misc:Depends}, kstars-data (>= ${source:Version})
Suggests: konqueror, khelpcenter4, indi-bin [linux-any], xplanet
Description: desktop planetarium for KDE
 KStars is a desktop planetarium for KDE, depicting an accurate graphical
 simulation of the night sky, from any location on Earth, at any date and time.
 The display includes 130,000 stars, 13,000 deep-sky objects, all 8 planets,
 the Sun and Moon, and thousands of comets and asteroids.  It includes tools
 for astronomical calculations and can control telescopes and cameras.
 .
 This package is part of the KDE education module.

Package: kstars-data
Architecture: all
Section: science
Depends: ${misc:Depends}
Description: data files for KStars desktop planetarium
 This package contains architecture-independent data files for KStars,
 the graphical desktop planetarium for KDE, including star catalogues and
 astronomical images.
 .
 This package is part of the KDE education module.

## kstars 4.11.5

=== debian/changelog ===
kstars (4:4.11.5-0ubuntu0.1) saucy; urgency=medium

  * New upstream bugfix release (LP: #1266285)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 16 Jan 2014 14:47:54 +0100

kstars (4:4.11.3-0ubuntu0.1) saucy; urgency=low

  * New upstream bugfix release (LP: #1247235)

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 29 Nov 2013 16:04:29 +0000

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
  Maximiliano Curia <maxy@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- dpkg-dev (>= 1.15.5), kdelibs5-dev (>= 4:4.11.2),
+ dpkg-dev (>= 1.15.5), kdelibs5-dev (>= 4:4.11.5),
  libeigen2-dev (>> 2.0.3), zlib1g-dev, libcfitsio3-dev (>= 3.040),
  libglu1-mesa-dev [!armhf], libnova-dev, libqt4-opengl-dev [!armhf], pkg-config, xplanet,
  libindi-dev [linux-any], wcslib-dev
 Standards-Version: 3.9.3
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kstars
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kstars
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kstars-13.10
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kstars-13.10
 X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kstars.git
 X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/kstars.git

## kstars 4.12.3

=== debian/changelog ===
kstars (4:4.12.3-0ubuntu1~ubuntu12.04.4~ppa1) precise; urgency=low

  * precise backport

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Mar 2014 15:47:09 +0100

kstars (4:4.12.3-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 28 Feb 2014 21:09:18 +0100

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
  Maximiliano Curia <maxy@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- dpkg-dev (>= 1.15.5), kdelibs5-dev (>= 4:4.11.5),
+ dpkg-dev (>= 1.15.5), kdelibs5-dev (>= 4:4.12.3),
  libeigen2-dev (>> 2.0.3), zlib1g-dev, libcfitsio3-dev (>= 3.040),
  libglu1-mesa-dev [!armhf], libnova-dev, libqt4-opengl-dev [!armhf], pkg-config, xplanet,
- libindi-dev [linux-any], wcslib-dev
+ libindi-dev (>= 0.9.6) [linux-any], wcslib-dev
 Standards-Version: 3.9.3
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kstars-13.10
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kstars-13.10
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kstars
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kstars
 X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kstars.git
 X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/kstars.git

## kstars 4.13.0

=== CMakeLists.txt ===
PROJECT(kstars CXX C)
set (KStars_VERSION_MAJOR 2)
set (KStars_VERSION_MINOR 2)
set (KStars_VERSION_REVISION 0)

set(CMAKE_MODULE_PATH ${kstars_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

configure_file( "${kstars_SOURCE_DIR}/kstars/version.h.cmake"
                "${kstars_BINARY_DIR}/kstars/version.h" )

find_package(Eigen3 REQUIRED)
find_package(KDE4   REQUIRED)
include(KDE4Defaults)
include_directories (${CMAKE_SOURCE_DIR}
                     ${CMAKE_BINARY_DIR}
                     ${EIGEN3_INCLUDE_DIR}
                     ${KDE4_INCLUDES}
                     ${QT4_INCLUDES})
add_definitions(${EIGEN_DEFINITIONS})

# some configure checks needed for kstars
include(CheckIncludeFiles)

macro_optional_find_package(CFitsio)
macro_bool_to_01(CFITSIO_FOUND HAVE_CFITSIO_H)
macro_log_feature(CFITSIO_FOUND "libcfitsio0"
                                "Support for the FITS (Flexible Image Transport System) data format in KStars."
                                "http://indi.sf.net"
                                FALSE "3.09" "")

macro_optional_find_package(INDI 0.9.6)
macro_bool_to_01(INDI_FOUND HAVE_INDI_H)
macro_log_feature(INDI_FOUND "libindi"
                             "Support for controlling astronomical devices on Linux with KStars."
                             "http://www.indilib.org"
                             FALSE "0.9.6" "")

macro_optional_find_package(WCSLIB)
macro_bool_to_01(WCSLIB_FOUND HAVE_WCSLIB)
macro_log_feature(WCSLIB_FOUND "WCSLib"
                               "Support for World Coordinate System in KStars."
                               "http://www.atnf.csiro.au/people/mcalabre/WCS/"
                               FALSE "" "WCS enables KStars to read and process world coordinate systems in FITS header.")

macro_optional_find_package(AstrometryNet)
macro_bool_to_01(ASTROMETRYNET_FOUND HAVE_ASTROMETRYNET)
macro_log_feature(ASTROMETRYNET_FOUND "astrometry.net" "Support for astrometry solver in KStars." "http://www.astrometry.net" FALSE "" "Astrometry.net enables KStars to achieve sub-arcsecond GOTO tracking and determines polar alignment errors in the mount.")

# Temporary dependency until we move to Qt5 which has native support for JSon.
macro_optional_find_package(QJSON)
macro_bool_to_01(QJSON_FOUND HAVE_QJSON)
macro_log_feature(QJSON_FOUND "QJSon Library" "Support for online astrometry solver in KStars using web services." "http://qjson.sourceforge.net" FALSE "" "QJSon enables KStars to utilize online web services to perform astrometric solving for images in Ekos alignment module.")

macro_optional_find_package(Xplanet)
macro_bool_to_01(XPLANET_FOUND HAVE_XPLANET)
macro_log_feature(XPLANET_FOUND "XPlanet"
                                "Renders an image of all the major planets and most satellites"
                                "http://xplanet.sourceforge.net/"
                                FALSE "1.0" "Gives KStars support for xplanet.")

macro_optional_find_package(OpenGL)
macro_bool_to_01(OPENGL_FOUND HAVE_OPENGL)
macro_log_feature(OPENGL_FOUND "OpenGL"
                               "Support for hardware rendering in KStars."
                               "http://www.opengl.org/"
                               FALSE "" "OpenGL rendering is generally faster on hardware with graphics acceleration.")
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

enable_testing(true)

include_directories(${CMAKE_CURRENT_BINARY_DIR})
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-kstars.h.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/config-kstars.h )

add_subdirectory(doc)
add_subdirectory(kstars)
add_subdirectory(datahandlers)
add_subdirectory(Tests)

if (${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_SOURCE_DIR})
   macro_display_feature_log()
endif (${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_SOURCE_DIR})

=== kstars/CMakeLists.txt ===
add_subdirectory( data )
add_subdirectory( icons )
add_subdirectory( htmesh )
add_subdirectory( tools/whatsinteresting/qml)

Find_package(ZLIB REQUIRED)
Find_package(Threads REQUIRED)

if (CFITSIO_FOUND)
  set (fits_SRCS
    fitsviewer/fitshistogram.cpp
    fitsviewer/fitsimage.cpp
    fitsviewer/fitsview.cpp
    fitsviewer/fitsviewer.cpp
    fitsviewer/fitshistogramdraw.cpp
    fitsviewer/fitstab.cpp
    )
  set (fitsui_SRCS
    fitsviewer/fitsheaderdialog.ui
    fitsviewer/statform.ui
    indi/streamform.ui
    fitsviewer/fitshistogramui.ui
    )
  include_directories(${CFITSIO_INCLUDE_DIR})
endif(CFITSIO_FOUND)

if (INDI_FOUND)
  set (indi_SRCS
    indi/drivermanager.cpp
    indi/servermanager.cpp
    indi/clientmanager.cpp
    indi/guimanager.cpp
    indi/driverinfo.cpp
    indi/deviceinfo.cpp
    indi/indidevice.cpp
    indi/indigroup.cpp
    indi/indiproperty.cpp
    indi/indielement.cpp
    indi/indistd.cpp
    indi/indilistener.cpp
    indi/inditelescope.cpp
    indi/indiccd.cpp
    indi/indifocuser.cpp
    indi/indifilter.cpp
    indi/opsindi.cpp
    indi/telescopewizardprocess.cpp
    indi/streamwg.cpp
    )
  set(indiui_SRCS
    indi/drivermanager.ui
    indi/opsindi.ui
    indi/indihostconf.ui
    indi/streamform.ui
    indi/telescopewizard.ui
    )

if (CFITSIO_FOUND)
   set(ekosui_SRCS
      ekos/opsekos.ui
      ekos/ekosmanager.ui
      ekos/capture.ui
      ekos/align.ui
      ekos/focus.ui
      ekos/guide.ui
      ekos/guide/guider.ui
      ekos/guide/rcalibration.ui
   )

   set(ekos_SRCS
      ekos/ekosmanager.cpp
      ekos/capture.cpp
      ekos/focus.cpp
      ekos/guide.cpp
      ekos/align.cpp
      ekos/astrometryparser.cpp
      ekos/offlineastrometryparser.cpp
      ekos/opsekos.cpp
      ekos/QProgressIndicator.cpp
      ekos/guide/common.cpp
      ekos/guide/gmath.cpp
      ekos/guide/guider.cpp
      ekos/guide/matr.cpp
      ekos/guide/rcalibration.cpp
      ekos/guide/scroll_graph.cpp
      ekos/guide/vect.cpp

   )

endif(CFITSIO_FOUND)

if (QJSON_FOUND)
   include_directories( ${QJSON_INCLUDE_DIR} )
   set(onlineparser_SRCS ekos/onlineastrometryparser.cpp)
endif(QJSON_FOUND)

  include_directories(${INDI_INCLUDE_DIR})
endif(INDI_FOUND)

if (WCSLIB_FOUND)
  include_directories( ${WCSLIB_INCLUDE_DIR} )
endif (WCSLIB_FOUND)

if ( XPLANET_FOUND )
  set (xplanet_SRCS
    xplanet/opsxplanet.cpp
    )
  set(xplanetui_SRCS
    xplanet/opsxplanet.ui
    )
endif ( XPLANET_FOUND )

if ( OPENGL_FOUND )
  include_directories( ${OPENGL_INCLUDE_DIRS} )
  set(kstars_gl_SRCS
    skyglpainter.cpp skymapgldraw.cpp
    )
  add_definitions(-DHAVE_OPENGL)
endif( OPENGL_FOUND )

include_directories(
    ${kstars_SOURCE_DIR}/kstars/tools
    ${kstars_SOURCE_DIR}/kstars/skyobjects
    ${kstars_SOURCE_DIR}/kstars/skycomponents
#    ${CMAKE_SOURCE_DIR}/kstars/kstars/htmesh
#	${CMAKE_SOURCE_DIR}/libkdeedu/extdate
	${ZLIB_INCLUDE_DIR}
)

########### next target ###############
set(libkstarstools_SRCS
	tools/altvstime.cpp
	tools/astrocalc.cpp
	tools/avtplotwidget.cpp
	tools/calendarwidget.cpp
	tools/conjunctions.cpp
	tools/eqplotwidget.cpp
	tools/jmoontool.cpp
	tools/ksconjunct.cpp
	tools/modcalcangdist.cpp
	tools/modcalcapcoord.cpp
	tools/modcalcaltaz.cpp
	tools/modcalcdaylength.cpp
	tools/modcalceclipticcoords.cpp
	tools/modcalcvizequinox.cpp
	tools/modcalcgalcoord.cpp
	tools/modcalcgeodcoord.cpp
	tools/modcalcjd.cpp
	tools/modcalcplanets.cpp
	tools/modcalcsidtime.cpp
	tools/modcalcvlsr.cpp
	tools/observinglist.cpp
	tools/sessionsortfilterproxymodel.cpp
	tools/obslistwizard.cpp
	tools/planetviewer.cpp
	tools/pvplotwidget.cpp
	tools/scriptargwidgets.cpp
	tools/scriptbuilder.cpp
	tools/scriptfunction.cpp
	tools/skycalendar.cpp
	tools/wutdialog.cpp
	tools/whatsinteresting/skyobjlistmodel.cpp
	tools/whatsinteresting/wiview.cpp
	tools/whatsinteresting/modelmanager.cpp
	tools/whatsinteresting/skyobjitem.cpp
	tools/whatsinteresting/wilpsettings.cpp
	tools/whatsinteresting/wiequipsettings.cpp
	tools/whatsinteresting/obsconditions.cpp
        tools/whatsinteresting/skyobjdescription.cpp
	tools/flagmanager.cpp
	tools/moonphasetool.cpp
	tools/starhopper.cpp
	)

kde4_add_ui_files(libkstarstools_SRCS
	tools/altvstime.ui
	tools/argchangeviewoption.ui
	tools/argexportimage.ui
	tools/argloadcolorscheme.ui
	tools/arglooktoward.ui
	tools/argfindobject.ui
	tools/argprintimage.ui
	tools/argsetactionindi.ui
	tools/argsetaltaz.ui
	tools/argsetccdtempindi.ui
	tools/argsetcolor.ui
	tools/argsetdeviceindi.ui
	tools/argsetfilternumindi.ui
	tools/argsetfocusspeedindi.ui
	tools/argsetfocustimeoutindi.ui
	tools/argsetframetypeindi.ui
	tools/argsetgeolocation.ui
	tools/argsetgeolocationindi.ui
	tools/argsetlocaltime.ui
	tools/argsetportindi.ui
	tools/argsetradec.ui
	tools/argsetscopeactionindi.ui
	tools/argsettargetcoordindi.ui
	tools/argsettargetnameindi.ui
	tools/argsettrack.ui
	tools/argsetutcindi.ui
	tools/argshutdownindi.ui
	tools/argstartexposureindi.ui
	tools/argstartfocusindi.ui
	tools/argstartindi.ui
	tools/argswitchindi.ui
	tools/argtimescale.ui
	tools/argwaitfor.ui
	tools/argwaitforkey.ui
	tools/argzoom.ui
	tools/conjunctions.ui
	tools/modcalcangdist.ui
	tools/modcalcapcoord.ui
	tools/modcalcaltaz.ui
	tools/modcalcdaylength.ui
	tools/modcalceclipticcoords.ui
	tools/modcalcvizequinox.ui
	tools/modcalcgalcoord.ui
	tools/modcalcgeod.ui
	tools/modcalcjd.ui
	tools/modcalcplanets.ui
	tools/modcalcsidtime.ui
	tools/modcalcvlsr.ui
	tools/observinglist.ui
	tools/obslistwizard.ui
	tools/optionstreeview.ui
	tools/planetviewer.ui
	tools/scriptbuilder.ui
	tools/scriptnamedialog.ui
	tools/skycalendar.ui
	tools/wutdialog.ui
	tools/flagmanager.ui
	tools/whatsinteresting/wilpsettings.ui
	tools/whatsinteresting/wiequipsettings.ui
        )


set(libkstarscomponents_SRCS
   skycomponents/skylabeler.cpp
   skycomponents/highpmstarlist.cpp
   skycomponents/skymapcomposite.cpp
   skycomponents/skymesh.cpp
   skycomponents/linelistindex.cpp
   skycomponents/linelistlabel.cpp
   skycomponents/noprecessindex.cpp
   skycomponents/listcomponent.cpp
   skycomponents/pointlistcomponent.cpp
   skycomponents/solarsystemsinglecomponent.cpp
   skycomponents/solarsystemlistcomponent.cpp
   skycomponents/asteroidscomponent.cpp
   skycomponents/cometscomponent.cpp
   skycomponents/planetmoonscomponent.cpp
   skycomponents/solarsystemcomposite.cpp
   skycomponents/satellitescomponent.cpp
   skycomponents/starcomponent.cpp
   skycomponents/deepstarcomponent.cpp
   skycomponents/deepskycomponent.cpp
   skycomponents/catalogcomponent.cpp
   skycomponents/constellationboundarylines.cpp
   skycomponents/constellationlines.cpp
   skycomponents/constellationnamescomponent.cpp
   skycomponents/supernovaecomponent.cpp
   skycomponents/coordinategrid.cpp
   skycomponents/equatorialcoordinategrid.cpp
   skycomponents/horizontalcoordinategrid.cpp
   skycomponents/ecliptic.cpp
   skycomponents/equator.cpp
   skycomponents/horizoncomponent.cpp
   skycomponents/milkyway.cpp
   skycomponents/skycomponent.cpp
   skycomponents/skycomposite.cpp
   skycomponents/starblock.cpp
   skycomponents/starblocklist.cpp
   skycomponents/starblockfactory.cpp
   skycomponents/culturelist.cpp
   skycomponents/flagcomponent.cpp
   skycomponents/targetlistcomponent.cpp
   skycomponents/notifyupdatesui.cpp
)

set(libkstarswidgets_SRCS
	widgets/clicklabel.cpp
	widgets/dmsbox.cpp
	widgets/draglistbox.cpp
	widgets/fovwidget.cpp
	widgets/logedit.cpp
	widgets/magnitudespinbox.cpp
	widgets/mapcanvas.cpp
	widgets/thumbimage.cpp
	widgets/timespinbox.cpp
	widgets/timestepbox.cpp
	widgets/timeunitbox.cpp
	widgets/infoboxwidget.cpp
	widgets/genericcalendarwidget.cpp
	widgets/moonphasecalendarwidget.cpp
	widgets/kshelplabel.cpp
)

kde4_add_ui_files(libkstarswidgets_SRCS
  widgets/genericcalendarwidget.ui
)

set( kstars_KCFG_SRCS Options.kcfgc )

set(kstars_options_SRCS
  options/opsadvanced.cpp
  options/opscatalog.cpp
  options/opscolors.cpp
  options/opsguides.cpp
  options/opssolarsystem.cpp
  options/opssatellites.cpp
  options/opssupernovae.cpp
)

set(kstars_optionsui_SRCS
  options/opsadvanced.ui
  options/opscatalog.ui
  options/opscolors.ui
  options/opsguides.ui
  options/opssolarsystem.ui
  options/opssatellites.ui
  options/opssupernovae.ui
)

set(kstars_skyobjects_SRCS
  skyobjects/deepskyobject.cpp
  skyobjects/jupitermoons.cpp
  skyobjects/planetmoons.cpp
  skyobjects/ksasteroid.cpp
  skyobjects/kscomet.cpp
  skyobjects/ksmoon.cpp
  skyobjects/ksplanetbase.cpp
  skyobjects/ksplanet.cpp
  skyobjects/kspluto.cpp
  skyobjects/kssun.cpp
  skyobjects/skyline.cpp
  skyobjects/skyobject.cpp
  skyobjects/skypoint.cpp
  skyobjects/starobject.cpp
  skyobjects/trailobject.cpp
  skyobjects/satellite.cpp
  skyobjects/supernova.cpp
)

set(kstars_dialogs_SRCS
  dialogs/addcatdialog.cpp
  dialogs/addlinkdialog.cpp
  dialogs/detaildialog.cpp
  dialogs/finddialog.cpp
  dialogs/focusdialog.cpp
  dialogs/fovdialog.cpp
  dialogs/locationdialog.cpp
  dialogs/timedialog.cpp
  dialogs/exportimagedialog.cpp
)

set(kstars_dialogsui_SRCS
  dialogs/addcatdialog.ui
  dialogs/addlinkdialog.ui
  dialogs/details_database.ui
  dialogs/details_data.ui
  dialogs/details_data_comet.ui
  dialogs/details_links.ui
  dialogs/details_log.ui
  dialogs/details_position.ui
  dialogs/finddialog.ui
  dialogs/focusdialog.ui
  dialogs/fovdialog.ui
  dialogs/locationdialog.ui
  dialogs/wizwelcome.ui
  dialogs/wizlocation.ui
  dialogs/wizdownload.ui
  dialogs/newfov.ui
  dialogs/exportimagedialog.ui
)

set(kstars_projection_SRCS
    projections/projector.cpp
    projections/lambertprojector.cpp
    projections/gnomonicprojector.cpp
    projections/stereographicprojector.cpp
    projections/orthographicprojector.cpp
    projections/azimuthalequidistantprojector.cpp
    projections/equirectangularprojector.cpp
)

set(kstars_extra_SRCS
	colorscheme.cpp	dms.cpp fov.cpp geolocation.cpp
	imageviewer.cpp
	ksfilereader.cpp ksnumbers.cpp
	kspopupmenu.cpp obslistpopupmenu.cpp ksalmanac.cpp
	kstarsactions.cpp kstarsdata.cpp ksuserdb.cpp kstarsdatetime.cpp
	kstarsdcop.cpp kstarsinit.cpp kstars.cpp
	kstarssplash.cpp ksutils.cpp kswizard.cpp main.cpp
	simclock.cpp skymap.cpp skymapdrawabstract.cpp skymapqdraw.cpp skymapevents.cpp
	skypainter.cpp skyqpainter.cpp
	texturemanager.cpp
	timezonerule.cpp
	thumbnailpicker.cpp thumbnaileditor.cpp binfilehelper.cpp
	satellitegroup.cpp
	imageexporter.cpp
)

set(oal_SRCS
    oal/log.cpp
    oal/observer.cpp
    oal/site.cpp
    oal/session.cpp
    oal/scope.cpp
    oal/eyepiece.cpp
    oal/filter.cpp
    oal/observation.cpp
    oal/lens.cpp
    oal/equipmentwriter.cpp
    oal/observeradd.cpp
    oal/execute.cpp
)

set(printing_SRCS
    printing/detailstable.cpp
    printing/finderchart.cpp
    printing/foveditordialog.cpp
    printing/fovsnapshot.cpp
    printing/kstarsdocument.cpp
    printing/legend.cpp
    printing/loggingform.cpp
    printing/printingwizard.cpp
    printing/pwizchartconfig.cpp
    printing/pwizchartcontents.cpp
    printing/pwizfovbrowse.cpp
    printing/pwizfovconfig.cpp
    printing/pwizfovmanual.cpp
    printing/pwizfovsh.cpp
    printing/pwizfovtypeselection.cpp
    printing/pwizobjectselection.cpp
    printing/pwizprint.cpp
    printing/shfovexporter.cpp
    printing/simplefovexporter.cpp
)

set(printingui_SRCS
    printing/foveditordialog.ui
    printing/pwizchartconfig.ui
    printing/pwizchartcontents.ui
    printing/pwizfovbrowse.ui
    printing/pwizfovconfig.ui
    printing/pwizfovmanual.ui
    printing/pwizfovsh.ui
    printing/pwizfovtypeselection.ui
    printing/pwizobjectselection.ui
    printing/pwizprint.ui
    printing/pwizwelcome.ui
)

##set(kstars_SRCS ${indi_SRCS} ${ekos_SRCS} ${fits_SRCS}
set(kstars_SRCS ${indi_SRCS} ${fits_SRCS} ${ekos_SRCS} ${onlineparser_SRCS}
	${libkstarswidgets_SRCS} ${libkstarscomponents_SRCS} ${libkstarstools_SRCS}
	${kstars_extra_SRCS}  ${kstars_gl_SRCS} ${kstars_projection_SRCS} ${xplanet_SRCS}
	${kstars_options_SRCS} ${kstars_skyobjects_SRCS} ${kstars_dialogs_SRCS} ${oal_SRCS}
        ${printing_SRCS}
)

=== kstars/data/CMakeLists.txt ===
########### install files ###############

install( FILES kstars.png geomap.png 
    Cities.dat
    stars.dat
    starnames.dat namedstars.dat unnamedstars.dat
    starlnum.idx
    ngcic.dat
    clines.dat
    cnames.dat
    milkyway.dat
    lmc.dat
    smc.dat
    cbounds.dat
	cbounds-3.idx  cbounds-4.idx  cbounds-5.idx  cbounds-6.idx
	image_url.dat info_url.dat 
	mercury.L0.vsop mercury.L1.vsop mercury.L2.vsop mercury.L3.vsop 
	mercury.L4.vsop mercury.L5.vsop mercury.B0.vsop mercury.B1.vsop 
	mercury.B2.vsop mercury.B3.vsop mercury.B4.vsop mercury.B5.vsop 
	mercury.R0.vsop mercury.R1.vsop mercury.R2.vsop mercury.R3.vsop 
	mercury.R4.vsop mercury.R5.vsop	
	venus.L0.vsop venus.L1.vsop venus.L2.vsop venus.L3.vsop 
	venus.L4.vsop venus.L5.vsop venus.B0.vsop venus.B1.vsop 
	venus.B2.vsop venus.B3.vsop venus.B4.vsop venus.B5.vsop 
	venus.R0.vsop venus.R1.vsop venus.R2.vsop venus.R3.vsop 
	venus.R4.vsop venus.R5.vsop 
	earth.L0.vsop earth.L1.vsop earth.L2.vsop earth.L3.vsop 
	earth.L4.vsop earth.L5.vsop earth.B0.vsop earth.B1.vsop 
	earth.B2.vsop earth.B3.vsop earth.B4.vsop earth.R0.vsop 
	earth.R1.vsop earth.R2.vsop earth.R3.vsop earth.R4.vsop 
	earth.R5.vsop 
	moonB.dat moonLR.dat 
	mars.L0.vsop mars.L1.vsop mars.L2.vsop mars.L3.vsop mars.L4.vsop 
	mars.L5.vsop mars.B0.vsop mars.B1.vsop mars.B2.vsop mars.B3.vsop 
	mars.B4.vsop mars.B5.vsop mars.R0.vsop mars.R1.vsop mars.R2.vsop 
	mars.R3.vsop mars.R4.vsop mars.R5.vsop 
	jupiter.L0.vsop jupiter.L1.vsop jupiter.L2.vsop jupiter.L3.vsop 
	jupiter.L4.vsop jupiter.L5.vsop jupiter.B0.vsop jupiter.B1.vsop 
	jupiter.B2.vsop jupiter.B3.vsop jupiter.B4.vsop jupiter.B5.vsop 
	jupiter.R0.vsop jupiter.R1.vsop jupiter.R2.vsop jupiter.R3.vsop 
	jupiter.R4.vsop jupiter.R5.vsop 
	saturn.L0.vsop saturn.L1.vsop saturn.L2.vsop saturn.L3.vsop 
	saturn.L4.vsop saturn.L5.vsop saturn.B0.vsop saturn.B1.vsop 
	saturn.B2.vsop saturn.B3.vsop saturn.B4.vsop saturn.B5.vsop 
	saturn.R0.vsop saturn.R1.vsop saturn.R2.vsop saturn.R3.vsop 
	saturn.R4.vsop saturn.R5.vsop 
	uranus.L0.vsop uranus.L1.vsop uranus.L2.vsop uranus.L3.vsop 
	uranus.L4.vsop uranus.L5.vsop uranus.B0.vsop uranus.B1.vsop 
	uranus.B2.vsop uranus.B3.vsop uranus.B4.vsop uranus.R0.vsop 
	uranus.R1.vsop uranus.R2.vsop uranus.R3.vsop uranus.R4.vsop 
	neptune.L0.vsop neptune.L1.vsop neptune.L2.vsop neptune.L3.vsop 
	neptune.L4.vsop neptune.L5.vsop neptune.B0.vsop neptune.B1.vsop 
	neptune.B2.vsop neptune.B3.vsop neptune.B4.vsop neptune.B5.vsop 
	neptune.R0.vsop neptune.R1.vsop neptune.R2.vsop neptune.R3.vsop 
	neptune.R4.vsop 
	mercury.orbit venus.orbit earth.orbit mars.orbit jupiter.orbit 
	saturn.orbit uranus.orbit neptune.orbit pluto.orbit 
	asteroids.dat comets.dat 
	wzstars.png wzgeo.png wzscope.png wzdownload.png chart.colors
        classic.colors moonless-night.colors night.colors 
        tips TZrules.dat valaav.txt Interesting.dat PlanetFacts.dat
    advinterface.dat satellites.dat	histogram.png noimage.png glossary.xml defaultflag.gif
	DESTINATION  ${DATA_INSTALL_DIR}/kstars 
)

install( FILES textures/star.png 
               textures/galaxy.png
               textures/open-cluster.png 
               textures/globular-cluster.png
               textures/galaxy-cluster.png
               textures/gaseous-nebula.png
               textures/planetary-nebula.png
	       textures/obslistsymbol.png
               textures/sun.png 
	       textures/mercury.png 
	       textures/venus.png 
	       textures/mars.png 
	       textures/jupiter.png 
	       textures/saturn.png 
	       textures/uranus.png 
	       textures/neptune.png 
	       textures/pluto.png 
	       textures/moon00.png 
	       textures/moon01.png 
	       textures/moon02.png 
	       textures/moon03.png 
	       textures/moon04.png 
	       textures/moon05.png 
	       textures/moon06.png 
	       textures/moon07.png 
	       textures/moon08.png 
	       textures/moon09.png 
	       textures/moon10.png 
	       textures/moon11.png 
	       textures/moon12.png 
	       textures/moon13.png 
	       textures/moon14.png 
	       textures/moon15.png 
	       textures/moon16.png 
	       textures/moon17.png 
	       textures/moon18.png 
	       textures/moon19.png 
	       textures/moon20.png 
	       textures/moon21.png 
	       textures/moon22.png 
	       textures/moon23.png 
	       textures/moon24.png 
	       textures/moon25.png 
	       textures/moon26.png 
	       textures/moon27.png 
	       textures/moon28.png 
	       textures/moon29.png 
	       textures/moon30.png 
	       textures/moon31.png 
	       textures/moon32.png 
	       textures/moon33.png 
	       textures/moon34.png 
	       textures/moon35.png
	       textures/defaultflag.png 
         DESTINATION ${DATA_INSTALL_DIR}/kstars/textures )

install ( FILES scripts/supernova_updates_parser.py 
         DESTINATION ${DATA_INSTALL_DIR}/kstars/scripts )

=== kstars/data/tools/Makefile ===
#
# Makefile to build data file test utilities
#
# Build the target tools to build programs used to test data files
#
# Begin Date: 2nd July 2008
# Author: Akarsh Simha <akarshsimha@gmail.com>
# License: GPL
#

#                ACHTUNG! DIESES MAKEFILE IST KAPUT.
#
# NOTE: This is a extremely non-portable Makefile, just like the rest
# of the files in this directory. Most likely, it will not work out of
# the box on your computer. Here's what you might need to do:
#
# 1. Ensure you're running GNU/Linux or other POSIX compliant OS. Else
# ask some leet guru how to get this to work on your platform.
# 2. Check if you have mysql_config in the same place as defined in MYSQL_CONFIG
# 3. Define the variables KSTARS_MYSQL_DB_USER and KSTARS_MYSQL_DB_DB
# which specify which user and database you want to use on your
# *local* MySQL server. Everything here assumes localhost. If you
# can't run MySQL off localhost, fix that in all those C programs.
# 4. Ensure you have libhtmesh.a from KStars' build of libhtmesh at
# $KDEINSTALLDIR/lib/libhtmesh.a
#
# TODO:
# 1. Make HTMesh a shared object library
# 2. Consider migrating to CMake and being part of the buildsystem of
# KStars.
#
# My lack of experience and know-how of buildsystems doesn't help
# here. If you can fix this, please do. -- Akarsh
#
# If you need any information, please feel free to contact me at
# <akarsh.simha@kdemail.net> or <akarshsimha@gmail.com>


MYSQL_CONFIG=/usr/bin/mysql_config
KSTARS_MYSQL_DB_TO_BIN=./mysql2bin
KSTARS_NOMAD_MYSQL_DB_TO_BIN=./nomadmysql2bin
KSTARS_MYSQL_DB_DB=$(KSTARS_MYSQL_DB_USER)
KSTARS_MYSQL_DB_TBL=tycho2
KSTARS_NOMAD_MYSQL_DB_TBL=nomad

all: mysql2bin binfiletester nomadbinfiletester nomadmysql2bin-merge nomadmysql2bin-split

mysql2bin: mysql2bin.c
	$(CC) $(CFLAGS) `$(MYSQL_CONFIG) --cflags` $@.c $(LDFLAGS) `$(MYSQL_CONFIG) --libs` -o $@

nomadmysql2bin: nomadmysql2bin.c
	$(CC) $(CFLAGS) `$(MYSQL_CONFIG) --cflags` $@.c $(LDFLAGS) `$(MYSQL_CONFIG) --libs` -o $@

nomadbinfile2mysql: nomadbinfile2mysql.cpp
	$(CXX) -D_FILE_OFFSET_BITS=64 $(CXXFLAGS) -I../../htmesh -I../.. `$(MYSQL_CONFIG) --cflags` $@.cpp $(LDFLAGS) `$(MYSQL_CONFIG) --libs` $(KDEINSTALLDIR)/lib/libhtmesh.a -o $@

nomadmysql2bin-split: nomadmysql2bin-split.c
	$(CC) -D_FILE_OFFSET_BITS=64 $(CFLAGS) `$(MYSQL_CONFIG) --cflags` $@.c $(LDFLAGS) `$(MYSQL_CONFIG) --libs` -o $@

nomadmysql2bin-merge: nomadmysql2bin-merge.c
	$(CC) -D_FILE_OFFSET_BITS=64 $(CFLAGS) $@.c $(LDFLAGS) -lm -o $@

binfiletester: binfiletester.c
	$(CC) $(CFLAGS) $@.c $(LDFLAGS) -lm -o $@

nomadbinfiletester: nomadbinfiletester.c
	$(CC) -D_FILE_OFFSET_BITS=64 $(CFLAGS) $@.c $(LDFLAGS) -lm -o $@

readnomadbindump: readnomadbindump.c
	$(CC) -D_FILE_OFFSET_BITS=64 $(CFLAGS) $@.c $(LDFLAGS) -lm -o $@

clean:
	-rm binfiletester mysql2bin nomadmysql2bin nomadmysql2bin-split nomadmysql2bin-merge nomadbinfiletester readnomadbindump nomadbinfile2mysql
	-rm ushf usdf nshf nsdf nf dsdf dshf

datafiles: mysql2bin
	echo "If this step hangs, please reduce the value of MYSQL_STARS_PER_QUERY in mysql2bin.c and try again."
	./mysql2bin $(KSTARS_MYSQL_DB_USER) $(KSTARS_MYSQL_DB_PASS) $(KSTARS_MYSQL_DB_DB) usdf ushf dsdf dshf nsdf nshf nf Henry-Draper.idx $(KSTARS_MYSQL_DB_TBL)
	cat ushf usdf > ../unnamedstars.dat
	cat nshf nsdf > ../namedstars.dat
	cat dshf dsdf > ../deepstars.dat
	cat nf > ../starnames.dat
	rm ushf usdf nshf nsdf nf dsdf dshf

nomaddatafiles: nomadmysql2bin
	echo "If this step hangs, please reduce the value of MYSQL_STARS_PER_QUERY in nomadmysql2bin.c and try again."
	./nomadmysql2bin $(KSTARS_MYSQL_DB_USER) $(KSTARS_MYSQL_DB_PASS) usdf ushf $(KSTARS_MYSQL_DB_DB) $(KSTARS_NOMAD_MYSQL_DB_TBL)
	cat ushf usdf > USNO-NOMAD-1e8.dat    # TODO: Change
	rm ushf usdf

install:
# Install nothing

=== kstars/tools/whatsinteresting/qml/CMakeLists.txt ===
#install_files

install( FILES wiview.qml ScrollBar.qml
         leftArrow.png
         settingsIcon.png
         reloadIcon.png
         next.png
         previous.png
         DESTINATION  ${DATA_INSTALL_DIR}/kstars/tools/whatsinteresting/qml )

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
  Maximiliano Curia <maxy@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- dpkg-dev (>= 1.15.5), kdelibs5-dev (>= 4:4.12.3),
- libeigen2-dev (>> 2.0.3), zlib1g-dev, libcfitsio3-dev (>= 3.040),
+ dpkg-dev (>= 1.15.5), kdelibs5-dev (>= 4:4.13.0),
+ libeigen3-dev (>> 2.91.0), zlib1g-dev, libcfitsio3-dev (>= 3.040),
  libglu1-mesa-dev [!armhf], libnova-dev, libqt4-opengl-dev [!armhf], pkg-config, xplanet,
- libindi-dev (>= 0.9.6) [linux-any], wcslib-dev
+ libindi-dev (>= 0.9.7) [linux-any], wcslib-dev, libqjson-dev, libeigen3-dev, astrometry.net
 Standards-Version: 3.9.3
 Homepage: http://edu.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kstars
@@ -23,6 +23,7 @@
 Section: science
 Depends: ${shlibs:Depends}, ${misc:Depends}, kstars-data (>= ${source:Version})
 Suggests: konqueror, khelpcenter4, indi-bin [linux-any], xplanet
+Recommends: astrometry.net
 Description: desktop planetarium for KDE
  KStars is a desktop planetarium for KDE, depicting an accurate graphical
  simulation of the night sky, from any location on Earth, at any date and time.

## kstars 4.13.3

=== debian/changelog ===
kstars (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:34:15 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Maximiliano Curia <maxy@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- dpkg-dev (>= 1.15.5), kdelibs5-dev (>= 4:4.13.0),
+ dpkg-dev (>= 1.15.5), kdelibs5-dev (>= 4:4.13.3),
  libeigen3-dev (>> 2.91.0), zlib1g-dev, libcfitsio3-dev (>= 3.040),
  libglu1-mesa-dev [!armhf], libnova-dev, libqt4-opengl-dev [!armhf], pkg-config, xplanet,
  libindi-dev (>= 0.9.7) [linux-any], wcslib-dev, libqjson-dev, libeigen3-dev, astrometry.net

## kstars 4.13.97

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,7 @@
 
 find_package(Eigen3 REQUIRED)
 find_package(KDE4   REQUIRED)
+
 include(KDE4Defaults)
 include_directories (${CMAKE_SOURCE_DIR}
                      ${CMAKE_BINARY_DIR}
@@ -21,6 +22,12 @@
 # some configure checks needed for kstars
 include(CheckIncludeFiles)
 
+macro_optional_find_package(PyKDE4)
+macro_log_feature(PYKDE4_FOUND "python-kde4"
+                                "Bindings for Python in KDE4 used for updating supernovae data in KStars."
+                                "http://www.kde.org"
+                                FALSE "4.13" "")
+
 macro_optional_find_package(CFitsio)
 macro_bool_to_01(CFITSIO_FOUND HAVE_CFITSIO_H)
 macro_log_feature(CFITSIO_FOUND "libcfitsio0"
@@ -28,12 +35,12 @@
                                 "http://indi.sf.net"
                                 FALSE "3.09" "")
 
-macro_optional_find_package(INDI 0.9.6)
+macro_optional_find_package(INDI 0.9.8)
 macro_bool_to_01(INDI_FOUND HAVE_INDI_H)
 macro_log_feature(INDI_FOUND "libindi"
                              "Support for controlling astronomical devices on Linux with KStars."
                              "http://www.indilib.org"
-                             FALSE "0.9.6" "")
+                             FALSE "0.9.8" "")
 
 macro_optional_find_package(WCSLIB)
 macro_bool_to_01(WCSLIB_FOUND HAVE_WCSLIB)
@@ -77,6 +84,8 @@
 add_subdirectory(datahandlers)
 add_subdirectory(Tests)
 
+install(FILES kstars.appdata.xml DESTINATION ${SHARE_INSTALL_PREFIX}/appdata/)
+
 if (${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_SOURCE_DIR})
    macro_display_feature_log()
 endif (${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_SOURCE_DIR})

=== debian/changelog ===
kstars (4:4.13.97-0ubuntu1~ubuntu14.04~ppa2) trusty; urgency=medium

  * Fix depend version

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 06 Aug 2014 17:29:17 -0700

kstars (4:4.13.97-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 06 Aug 2014 14:08:25 -0700

kstars (4:4.13.97-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 31 Jul 2014 12:30:27 -0700

=== debian/control ===
Source: kstars
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               dpkg-dev (>= 1.15.5),
               kde-sc-dev-latest (>= 4:4.11),
               kdelibs5-dev (>= 4:4.13.97),
               libcfitsio3-dev (>= 3.040),
               libeigen3-dev (>> 2.0.3),
               libglu1-mesa-dev [!armhf],
               libindi-dev (>= 0.9.6),
               libnova-dev,
               libqjson-dev,
               libqt4-opengl-dev [!armhf],
               pkg-config,
               pkg-kde-tools (>= 0.12),
               wcslib-dev,
               xplanet (>= 1.0),
               zlib1g-dev
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://edu.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kstars
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kstars
X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kstars.git
X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kstars.git

Package: kstars
Architecture: any
Section: science
Depends: kstars-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter4, konqueror
Recommends: astrometry.net, indi-bin, xplanet
Description: desktop planetarium for KDE
 KStars is a desktop planetarium for KDE, depicting an accurate graphical
 simulation of the night sky, from any location on Earth, at any date and time.
 The display includes 130,000 stars, 13,000 deep-sky objects, all 8 planets,
 the Sun and Moon, and thousands of comets and asteroids.  It includes tools
 for astronomical calculations and can control telescopes and cameras.
 .
 This package is part of the KDE education module.

Package: kstars-data
Architecture: all
Section: science
Depends: ${misc:Depends}
Description: data files for KStars desktop planetarium
 This package contains architecture-independent data files for KStars,
 the graphical desktop planetarium for KDE, including star catalogues and
 astronomical images.
 .
 This package is part of the KDE education module.

Package: kstars-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kstars (= ${binary:Version}), ${misc:Depends}
Description: debug information for the desktop planetarium for KDE
 This package contains debugging files used to investigate problems with the
 desktop planetarium for KDE.

## kstars 4.14.1

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                dpkg-dev (>= 1.15.5),
-               kde-sc-dev-latest (>= 4:4.11),
-               kdelibs5-dev (>= 4:4.13.97),
+               kde-sc-dev-latest (>= 4:4.12),
+               kdelibs5-dev (>= 4:4.14.1),
                libcfitsio3-dev (>= 3.040),
                libeigen3-dev (>> 2.0.3),
                libglu1-mesa-dev [!armhf],
-               libindi-dev (>= 0.9.6),
+               libindi-dev (>= 0.9.8),
                libnova-dev,
                libqjson-dev,
                libqt4-opengl-dev [!armhf],

## kstars 4.14.2

=== debian/changelog ===
kstars (4:4.8.4-2) unstable; urgency=low

  * New patch: upstream_#undef-TIME_UTC-to-fix-conflict-with-glibc.diff.
    (Closes: #701303)
  * Add myself to uploaders.
  * Add a basic manpage.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 26 Jun 2013 08:27:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,40 +1,37 @@
 Source: kstars
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
                dpkg-dev (>= 1.15.5),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
+               kdelibs5-dev (>= 4:4.11),
                libcfitsio3-dev (>= 3.040),
                libeigen3-dev (>> 2.0.3),
-               libglu1-mesa-dev [!armhf],
+               libglu1-mesa-dev,
                libindi-dev (>= 0.9.8),
                libnova-dev,
                libqjson-dev,
-               libqt4-opengl-dev [!armhf],
+               libqt4-opengl-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
+               python-kde4 (>= 4:4.13),
                wcslib-dev,
                xplanet (>= 1.0),
                zlib1g-dev
 Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kstars
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kstars
-X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kstars.git
-X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kstars.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kstars.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kstars.git
 
 Package: kstars
 Architecture: any
 Section: science
 Depends: kstars-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
-Suggests: khelpcenter4, konqueror
-Recommends: astrometry.net, indi-bin, xplanet
+Suggests: indi-bin [linux-any], khelpcenter4, konqueror, xplanet
 Description: desktop planetarium for KDE
  KStars is a desktop planetarium for KDE, depicting an accurate graphical
  simulation of the night sky, from any location on Earth, at any date and time.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	dh_strip --dbg-package=kstars-dbg

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/kstars-([\d.]+).tar.xz

## kstars 14.12.3

=== debian/changelog ===
kstars (4:14.12.3-0ubuntu2) vivid; urgency=medium

  * debian/tests/control: Depend on @builddeps@ instead of build-essential.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 16 Mar 2015 16:10:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,37 +1,38 @@
 Source: kstars
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
                dpkg-dev (>= 1.15.5),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.11),
+               kdelibs5-dev,
                libcfitsio3-dev (>= 3.040),
                libeigen3-dev (>> 2.0.3),
-               libglu1-mesa-dev,
+               libglu1-mesa-dev [!armhf],
                libindi-dev (>= 0.9.8),
                libnova-dev,
                libqjson-dev,
-               libqt4-opengl-dev,
+               libqt4-opengl-dev [!armhf],
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               python-kde4 (>= 4:4.13),
+               python-kde4-dev (>= 4:4.13),
                wcslib-dev,
                xplanet (>= 1.0),
                zlib1g-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 XS-Testsuite: autopkgtest
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kstars.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kstars.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kstars.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kstars.git
 
 Package: kstars
 Architecture: any
 Section: science
 Depends: kstars-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
-Suggests: indi-bin [linux-any], khelpcenter4, konqueror, xplanet
+Suggests: khelpcenter, konqueror
+Recommends: astrometry.net, indi-bin, xplanet
 Description: desktop planetarium for KDE
  KStars is a desktop planetarium for KDE, depicting an accurate graphical
  simulation of the night sky, from any location on Earth, at any date and time.

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, cmake,
         xvfb, xauth, dbus-x11
Restrictions: build-needed

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kstars-([\d.]+).tar.xz

## kstars 15.08.2

=== debian/changelog ===
kstars (4:15.04.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release.
  * Add new depend astrometry.net 

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 28 Apr 2015 14:23:53 -0700

kstars (4:14.12.3-0ubuntu2) UNRELEASED; urgency=medium

  * manual merge 

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 20:16:49 -0700

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,37 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>, Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: astrometry.net,
+               cmake,
                debhelper (>= 9),
                dpkg-dev (>= 1.15.5),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
+               extra-cmake-modules (>= 1.3.0),
+               kdoctools-dev,
+               kinit-dev,
+               kio-dev,
                libcfitsio3-dev (>= 3.040),
                libeigen3-dev (>> 2.0.3),
                libglu1-mesa-dev [!armhf],
-               libindi-dev (>= 0.9.8),
+               libindi-dev (>= 1.0.0),
+               libkf5config-dev,
+               libkf5dbusaddons-dev,
+               libkf5guiaddons-dev,
+               libkf5i18n-dev,
+               libkf5iconthemes-dev,
+               libkf5jobwidgets-dev,
+               libkf5newstuff-dev,
+               libkf5plotting-dev,
+               libkf5texteditor-dev,
+               libkf5widgetsaddons-dev,
+               libkf5windowsystem-dev,
+               libkf5xmlgui-dev,
                libnova-dev,
-               libqjson-dev,
-               libqt4-opengl-dev [!armhf],
+               libqt5opengl5-dev (>= 5.2),
+               libqt5svg5-dev (>= 5.2),
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               python-kde4-dev (>= 4:4.13),
+               qtdeclarative5-dev (>= 5.2),
+               qtmultimedia5-dev (>= 5.2),
                wcslib-dev,
                xplanet (>= 1.0),
                zlib1g-dev

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	dh_strip --dbg-package=kstars-dbg

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, openbox,
         libkf5service-bin, kded5, kinit
Restrictions: build-needed
